Loading...
Searching...
No Matches
GraphicDeviceWidget Class Referenceabstract

`#include <graphicdevicewidget.h>`

Inheritance diagram for GraphicDeviceWidget:

## Public Member Functions

| GraphicDeviceWidget (QWidget *parent)
virtual | ~GraphicDeviceWidget ()
virtual void | toSvgFile (const QString &filename, const QString &title, const QString &description, const QSize &size) final
virtual void | toQPaintDevice (QPaintDevice *device, const QSize &size)=0

## Detailed Description

Definition at line 36 of file graphicdevicewidget.h.

## Constructor & Destructor Documentation

## GraphicDeviceWidget()

GraphicDeviceWidget::GraphicDeviceWidget | ( | QWidget * | parent | ) |

Definition at line 35 of file graphicdevicewidget.cpp.

: QWidget(parent)
{
}

Referenced by pappso::MassSpectrumWidget::MassSpectrumWidget(), and pappso::XicWidget::XicWidget().

## ~GraphicDeviceWidget()

GraphicDeviceWidget::~GraphicDeviceWidget | ( |  | ) |

virtual

Definition at line 38 of file graphicdevicewidget.cpp.

{
}

## Member Function Documentation

## toQPaintDevice()

virtual void GraphicDeviceWidget::toQPaintDevice | ( | QPaintDevice * | device,
|  | const QSize & | size )

pure virtual

Implemented in pappso::MassSpectrumWidget, and pappso::XicWidget.

Referenced by toSvgFile().

## toSvgFile()

void GraphicDeviceWidget::toSvgFile | ( | const QString & | filename,
|  | const QString & | title,
|  | const QString & | description,
|  | const QSize & | size )

final virtual

Definition at line 42 of file graphicdevicewidget.cpp.

{
QSvgGenerator generator;
// generator.setOutputDevice(&buffer);
generator.setFileName(filename);
generator.setSize(size);
generator.setViewBox(QRect(0, 0, size.width(), size.height()));
generator.setTitle(title);
generator.setDescription(description);
this->toQPaintDevice(&generator, size);
}
GraphicDeviceWidget::toQPaintDevice
virtual void toQPaintDevice(QPaintDevice *device, const QSize &size)=0

References toQPaintDevice().

The documentation for this class was generated from the following files:

- pappsomspp/gui/graphicdevicewidget.h
- pappsomspp/gui/graphicdevicewidget.cpp